<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/SoundEvents/PlayerSoundEvents/Events/MeleeAttack.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d55/_melee_attack_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">MeleeAttack.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d4/d55/_melee_attack_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d45/class_melee_attack_sound_events.html">MeleeAttackSoundEvents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7bc577d51993ac8bf99f7ce87202fdf0"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d5/d45/class_melee_attack_sound_events.html">MeleeAttackSoundEvents</a> extends <a class="el" href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d55/_melee_attack_8c.html#a7bc577d51993ac8bf99f7ce87202fdf0">MeleeAttackLightEvent</a> ()</td></tr>
<tr class="separator:a7bc577d51993ac8bf99f7ce87202fdf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67e45b4767eb5c9c3d38c9fadfc955f0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d55/_melee_attack_8c.html#a67e45b4767eb5c9c3d38c9fadfc955f0">MeleeAttackSoundEvents</a> ()</td></tr>
<tr class="separator:a67e45b4767eb5c9c3d38c9fadfc955f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa0ee37d8410206edc6d4ec1bc473a8e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d55/_melee_attack_8c.html#afa0ee37d8410206edc6d4ec1bc473a8e">CanPlay</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:afa0ee37d8410206edc6d4ec1bc473a8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b8af78c65111dbc91b7779ac537a0bb"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d55/_melee_attack_8c.html#a8b8af78c65111dbc91b7779ac537a0bb">HasPriorityOverCurrent</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a> other_state_id, <a class="el" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a> type_other)</td></tr>
<tr class="separator:a8b8af78c65111dbc91b7779ac537a0bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afccd6806b13a9410e022bd2cd369ae94"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d55/_melee_attack_8c.html#afccd6806b13a9410e022bd2cd369ae94">OnEnd</a> ()</td></tr>
<tr class="separator:afccd6806b13a9410e022bd2cd369ae94"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="afa0ee37d8410206edc6d4ec1bc473a8e" name="afa0ee37d8410206edc6d4ec1bc473a8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa0ee37d8410206edc6d4ec1bc473a8e">&#9670;&#160;</a></span>CanPlay()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> MeleeAttackLightEvent::CanPlay </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d55/_melee_attack_8c_source.html#l00040">40</a> of file <a class="el" href="../../d4/d55/_melee_attack_8c_source.html">MeleeAttack.c</a>.</p>

</div>
</div>
<a id="a8b8af78c65111dbc91b7779ac537a0bb" name="a8b8af78c65111dbc91b7779ac537a0bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b8af78c65111dbc91b7779ac537a0bb">&#9670;&#160;</a></span>HasPriorityOverCurrent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> MeleeAttackLightEvent::HasPriorityOverCurrent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a>&#160;</td>
          <td class="paramname"><em>other_state_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a>&#160;</td>
          <td class="paramname"><em>type_other</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d55/_melee_attack_8c_source.html#l00045">45</a> of file <a class="el" href="../../d4/d55/_melee_attack_8c_source.html">MeleeAttack.c</a>.</p>

</div>
</div>
<a id="a7bc577d51993ac8bf99f7ce87202fdf0" name="a7bc577d51993ac8bf99f7ce87202fdf0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bc577d51993ac8bf99f7ce87202fdf0">&#9670;&#160;</a></span>MeleeAttackLightEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d5/d45/class_melee_attack_sound_events.html">MeleeAttackSoundEvents</a> extends <a class="el" href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a> MeleeAttackLightEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d55/_melee_attack_8c_source.html#l00001">1</a> of file <a class="el" href="../../d4/d55/_melee_attack_8c_source.html">MeleeAttack.c</a>.</p>

</div>
</div>
<a id="a67e45b4767eb5c9c3d38c9fadfc955f0" name="a67e45b4767eb5c9c3d38c9fadfc955f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67e45b4767eb5c9c3d38c9fadfc955f0">&#9670;&#160;</a></span>MeleeAttackSoundEvents()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MeleeAttackLightEvent::MeleeAttackSoundEvents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d55/_melee_attack_8c_source.html#l00034">34</a> of file <a class="el" href="../../d4/d55/_melee_attack_8c_source.html">MeleeAttack.c</a>.</p>

</div>
</div>
<a id="afccd6806b13a9410e022bd2cd369ae94" name="afccd6806b13a9410e022bd2cd369ae94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afccd6806b13a9410e022bd2cd369ae94">&#9670;&#160;</a></span>OnEnd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void MeleeAttackLightEvent::OnEnd </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d55/_melee_attack_8c_source.html#l00054">54</a> of file <a class="el" href="../../d4/d55/_melee_attack_8c_source.html">MeleeAttack.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_78582fda97199c57cc221ad43f65edbb.html">SoundEvents</a></li><li class="navelem"><a class="el" href="../../dir_146c2ee5711a6aff27f2a707240475a0.html">PlayerSoundEvents</a></li><li class="navelem"><a class="el" href="../../dir_9a753cd1f438ba0c0ac12aa10d2c10bc.html">Events</a></li><li class="navelem"><a class="el" href="../../d4/d55/_melee_attack_8c.html">MeleeAttack.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
